play.mvc

## Class Http.StatusCode

- java.lang.Object
- - play.mvc.Http.StatusCode

Enclosing class:
  Http

    public static class Http.StatusCode
    extends java.lang.Object

### Field Summary

Fields
`static int` `ACCEPTED`
`static int` `BAD_REQUEST`
`static int` `CREATED`
`static int` `FORBIDDEN`
`static int` `FOUND`
`static int` `GATEWAY_TIMEOUT`
`static int` `INTERNAL_ERROR`
`static int` `METHOD`
`static int` `MOVED`
`static int` `NO_RESPONSE`
`static int` `NOT_FOUND`
`static int` `NOT_IMPLEMENTED`
`static int` `NOT_MODIFIED`
`static int` `OK`
`static int` `OVERLOADED`
`static int` `PARTIAL_INFO`
`static int` `PAYMENT_REQUIRED`
`static int` `UNAUTHORIZED`

### Constructor Summary

Constructors
Constructor and Description
`StatusCode()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `error(int code)`
`static boolean` `redirect(int code)`
`static boolean` `success(int code)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OK

    public static final int OK

See Also:
  Constant Field Values

#### CREATED

    public static final int CREATED

See Also:
  Constant Field Values

#### ACCEPTED

    public static final int ACCEPTED

See Also:
  Constant Field Values

#### PARTIAL_INFO

    public static final int PARTIAL_INFO

See Also:
  Constant Field Values

#### NO_RESPONSE

    public static final int NO_RESPONSE

See Also:
  Constant Field Values

#### MOVED

    public static final int MOVED

See Also:
  Constant Field Values

#### FOUND

    public static final int FOUND

See Also:
  Constant Field Values

#### METHOD

    public static final int METHOD

See Also:
  Constant Field Values

#### NOT_MODIFIED

    public static final int NOT_MODIFIED

See Also:
  Constant Field Values

#### BAD_REQUEST

    public static final int BAD_REQUEST

See Also:
  Constant Field Values

#### UNAUTHORIZED

    public static final int UNAUTHORIZED

See Also:
  Constant Field Values

#### PAYMENT_REQUIRED

    public static final int PAYMENT_REQUIRED

See Also:
  Constant Field Values

#### FORBIDDEN

    public static final int FORBIDDEN

See Also:
  Constant Field Values

#### NOT_FOUND

    public static final int NOT_FOUND

See Also:
  Constant Field Values

#### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

See Also:
  Constant Field Values

#### NOT_IMPLEMENTED

    public static final int NOT_IMPLEMENTED

See Also:
  Constant Field Values

#### OVERLOADED

    public static final int OVERLOADED

See Also:
  Constant Field Values

#### GATEWAY_TIMEOUT

    public static final int GATEWAY_TIMEOUT

See Also:
  Constant Field Values

### Constructor Detail

#### StatusCode

    public StatusCode()

### Method Detail

#### success

    public static boolean success(int code)

#### redirect

    public static boolean redirect(int code)

#### error

    public static boolean error(int code)